Bug 216824 - "Strip special characters" doesn't work as expected
"Strip special characters" doesn't work as expected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sound-juicer (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 00:00 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 03:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 357111 None None None Never

  None (edit)
Description Matthias Clasen 2006-11-22 00:00:32 EST
Originally filed upstream as: http://bugzilla.gnome.org/show_bug.cgi?id=357111
and the fix is in 2.16.2
Comment 1 Matthias Clasen 2006-11-23 00:10:18 EST
fixed in sound-juicer-2.16.0-3.el5
Comment 2 RHEL Product and Program Management 2006-11-27 21:34:35 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Nicole Dai 2007-01-08 03:49:13 EST
Tested the bug with the following environment and test case:
Env:
RHEL5-Client-20061226.nightly
sound-juicer-2.16.0-3.el5

Preparation:
1. Applications -> Sound & Video -> SoundJuicer
2. Any Audio CD to rip

Test Case:
1. Insert the audio cd
2. Applications -> Sound & Video -> SoundJuicer
3. in Sound juicer, Edit -> Preferences -> Under TrackNames : File Names, Check
the box for "Strip special characters".
4. In SoundJuicer, Disc -> Extract
5. The Sound Juicer app rips it to a default folder and default File Name:
"Number Title"
6. Try different combinations of "Folder hierarchy" and "File name", for
example: combination1: select "Album Artist, Album Title" for Folder hierarchy
and "Number - Title" for File name, combination2: select "Album Artist - Album
Title" for Folder hierarchy and "Track Artist - Track Title" for File name,etc.
Repeat 4.

Result: Passed
Sound Juicer offers a underscore for all special characters, such as blank,
*,/,!,etc.

Resolve the bug now. Pls feel free to reopen this bug report if the solution
does not work for you.

Note You need to log in before you can comment on or make changes to this bug.